Subject: Down/up- loading fast with zip

From: Yinrong Huang <[email-masked]>
Date: Fri, 28 Oct 1994 02:40:46 GMT

[email-masked] (Aaron Sittner) wrote in article
<[email-masked]>:

> Gentlemen:
> 
> I have been using Pine since opening my e-mail/Internet
> account - about a year ago - with "Pluto", a Unix machine
> located at Hebrew University in Jerusalem, Mount Scopus
> Campus.
> 
> Being partially disabled, I do 99 percent of my work with
> Pluto from home, by modem.
> 
> Because of the high cost of telephone time in Israel, I try
> to keep my online time as brief as possible.
> 
> I often receive long e-mail messages, which I must import
> into my home PC for analysis and review. To do this, I first
> "export" (via Pine) these messages to my "current directory"
> in Pluto and then use the Unix "Get" command to import it
> into my PC's hard disk ("c:\kermit" subdirectory).
> 
> This process is slow considering the speed of my modem, 2400
> baud, and consumes quite a bit of costly online telephone
> charges.
> 
> A few days ago, all Pluto users were informed that a new
> version of Pine -- 3.91 -- has been installed. From my
> reading of the notes on this version, I thought I had noticed
> a solution to my "problem", by use of setup-configuration.
> However, though I tried, nothing has changed.
> 
> Is there any command in Pine 3.91 that would enable me to
> "export" some of my incoming messages DIRECTLY to my home PC
> rather than to my "current directory" workspace in Pluto?
> 
> 
> 
> Thank you.
> 
> Aaron Sittner
> 
> 
> (Before writing this letter, I attempted to get an answer
> from local system operators. However, none of them seem to be
> sufficiently familiar with the new version to advise me.)
> 

I don't realize that how wonderful it could be in this free and democratic
country, the United States of America. For me, all the local calls are free.
No matter how long I keep on-line, my monthly premius covers it. However, I
manage to save down/up- loading time by utilizing many programs across
different platforms such as UNIX, VMS/VAX as well as DOS operating
environment.

I suggest that you use PINE program to manage mails if you have a lot emails
everyday. After you read some and delete some unwanted emails, you quit the
PINE program. And then, you run MAIL program and save all the emails into a
file. After quiting the MAIL program, you use ZIP program on UNIX system with
option -k. After zipping the mail file into a zipped file, you use binary
transfer mode to transfer this zipped file to your PC where you can use
PKUNZIP to unzip the zipped file into an ASCII/TEXT file.

        Summary of the above paragraph:
        1. Use pine program to manage emails. (BTW, can we save all the mails
into a file under PINE?)
        2. Use mail program to save all emails into a file. (just use 's *
file_name under mail prompt.)
        3. run zip with -k option under Unix prompt. (zip -k
zipped_file_name, file_name_in_step_2.)
        4. Use binary file transfer mode to transfer from Unix account to
your PC (such as kermit).
        5. delete zipped_file_name and file_name_in_step_2 from your unix
account.
        6. use pkunzip under DOS system to unzip the downloaded zipped file
into a TEXT file. (you can do this off-line or on-line such as shelling out).

As to uploading, you basically reverse the above procedure. However, you need
unzip program under UNIX system to unzip uploaded zipped file into ASCII/TEXT
file(s). PLEASE DON'T forget to include -a option with unzip otherwise you
will run into trouble.

What I introduced above can save you about 60% of downloading/uploading time
if original files are ASCII/TEXT files. Well, time is money, isn't it?

Hopefully, this can give you some ideas about how to save time and money.

Yinrong Huang
Thursday October 27, 1994, 09:33pm CST USA

------------------------------------------------------------------------------
|   Work: (314) 658-3915                              Department of Biology  |
|   Fax:  (314) 658-3117                              St. Louis University   |
|   E-mail: [email-masked]                     St. Louis, MO 63104    |
|   E-mail: [email-masked]                     U. S. A.               |
|   * * * *  This email ONLY represents my own personal viewpoints. * * * *  |
|   * * *  Use or misuse or abuse of this email is your own decision. * * *  |
|   * * * * *  I disclaim everything resulting from this email. * * * * * *  |
------------------------------------------------------------------------------